using System;

internal sealed class Delegate549 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate549 delegate549_1)
	{
		return delegate549_1(object_0);
	}

	public extern Delegate549(object object_0, IntPtr intptr_0);

	static Delegate549()
	{
		Class10.smethod_13(typeof(Delegate549).TypeHandle);
	}

	internal static Delegate549 delegate549_0;
}
